> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinkbill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Get product information under your current merchant account based on the product ID



## OpenAPI

````yaml GET /product/{id}
openapi: 3.1.0
info:
  title: Clink API
  description: >-
    Official API documentation for Clink's payment processing platform. This API
    enables merchants to create and manage payment sessions, handle
    subscriptions, and process transactions.
  version: 1.0.0
servers:
  - url: https://uat-api.clinkbill.com/api/
security:
  - ApiKeyAuth: []
paths:
  /product/{id}:
    get:
      description: >-
        Get product information under your current merchant account based on the
        product ID
      operationId: getProduct
      parameters:
        - $ref: '#/components/parameters/TimestampHeader'
        - name: productId
          description: Unique identifier of the product configured in your dashboard
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Product details retrieved successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PlatformProductApiVo'
            application/json:
              schema:
                $ref: '#/components/schemas/RProductApiVo'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                type: string
components:
  parameters:
    TimestampHeader:
      name: X-Timestamp
      in: header
      required: true
      description: >-
        Current timestamp in milliseconds since Unix epoch (required for request
        signing)
      schema:
        type: string
        example: '1783513683000'
  schemas:
    PlatformProductApiVo:
      type: object
      properties:
        productId:
          type: string
          description: Unique identifier of the product
          refType: null
        name:
          type: string
          description: The name of the product
          refType: null
        active:
          type: boolean
          description: Is it available for purchase
          refType: null
        description:
          type: string
          description: The description of the product
          refType: null
        defaultPrice:
          type: string
          description: The default price ID of the product
          refType: null
        image:
          type: string
          description: The image URL of the product
          refType: null
        taxCategory:
          type: string
          description: The type of tax
          enum:
            - digital_goods_or_service
            - ebook
            - software_service
          refType: null
        priceList:
          type: array
          description: Product price list
          items:
            $ref: '#/components/schemas/PlatformPriceApiVo'
          refType: PlatformPriceApiVo
        createTime:
          type: integer
          description: Unix timestamp when the product was created
          format: int64
          refType: null
        updateTime:
          type: integer
          description: Unix timestamp when the product was updated
          format: int64
          refType: null
        localizedNames:
          type: object
          description: >-
            Localized product names. Key is a language or locale code, value is
            the localized product name.
          additionalProperties:
            type: string
          refType: null
    RProductApiVo:
      type: object
      properties:
        code:
          type: integer
          description: Response status code, 200 when success
          format: int32
        msg:
          type: string
          description: Brief description of what happened, success when happy case
        data:
          $ref: '#/components/schemas/PlatformProductApiVo'
      description: Body of the response message
    PlatformPriceApiVo:
      type: object
      properties:
        priceId:
          type: string
          description: Unique identifier of the price
          refType: null
        priceSnapshotId:
          type: string
          description: >-
            Current active price snapshot ID. Returns null when no active
            snapshot exists.
          refType: null
        productId:
          type: string
          description: Unique identifier of the product
          refType: null
        currency:
          type: string
          description: ISO currency code for subscription pricing
          enum:
            - USD
            - EUR
            - JPY
            - GBP
            - AUD
            - CAD
            - CNY
            - HKD
            - SGD
            - KRW
            - AED
            - THB
            - IDR
            - PHP
            - MYR
            - BRL
            - INR
          refType: null
        unitAmount:
          type: number
          description: Per-unit price amount
          refType: null
        priceType:
          type: string
          description: the type of the price
          enum:
            - one_time
            - recurring
          refType: null
        recurring:
          $ref: '#/components/schemas/RecurringDetails'
          refType: RecurringDetails
        active:
          type: boolean
          description: Is it available for purchase
          refType: null
        createTime:
          type: integer
          description: Unix timestamp when the price was created
          format: int64
          refType: null
    RecurringDetails:
      type: object
      properties:
        interval:
          type: string
          description: >-
            Units used per subscription period. Supported values: day, week,
            month, year, quarter, half_year, custom.
          enum:
            - day
            - week
            - month
            - year
            - quarter
            - half_year
            - custom
          refType: null
        trialPeriodDays:
          type: integer
          description: Number of days customers can use for free
          format: int32
          refType: null
        pricingModel:
          type: string
          description: The pricing model used for this subscription
          enum:
            - flat_rate
            - per_seat
            - tiered
            - usage_based
          refType: null
        transformQuantity:
          $ref: '#/components/schemas/TransformQuantity'
          refType: TransformQuantity
        intervalCount:
          type: integer
          description: >-
            Number of interval units per billing cycle. For custom intervals,
            this value represents the number of days.
          format: int32
          refType: null
      description: Details of the Subscription
    TransformQuantity:
      type: object
      properties:
        divideBy:
          type: integer
          description: Unit conversion ratio, such as converted at 1024
          format: int32
          refType: null
        round:
          type: string
          description: After division, round the result up or down
          enum:
            - up
            - down
            - ceiling
            - floor
            - half_up
            - half_down
            - half_even
            - unnecessary
          refType: null
      description: Define the rules for converting this unit
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your secret API key obtained from the Clink dashboard (Developers
        section)

````